Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler
Class SourceFile

    java.lang.Object
      mycompiler.SourceFile

    public class SourceFile

extends java.lang.Object

Field Summary
`de.dhbwstuttgart.typeinference.Menge` | `KlassenVektor`

Constructor Summary
`SourceFile()`

Method Summary
`void` | `codegen(boolean system_out)`
`java.util.Iterator<Class>` | `getClassIterator()`
`FC_TTO` | `makeFC()`
`void` | `sc_check(boolean ext)`
`void` | `set_Class(Class c)`
`de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult>` | `typeReconstruction()` Tyrekonstruktionsalgorithmus: ruft f�r jede Klasse den Algorithmus TRProg auf.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KlassenVektor

    public de.dhbwstuttgart.typeinference.Menge KlassenVektor

Constructor Detail

### SourceFile

    public SourceFile()

Method Detail

### sc_check

    public void sc_check(boolean ext)
                  throws SCException

  Throws:
    `SCException`

### set_Class

    public void set_Class(Class c)

### codegen

    public void codegen(boolean system_out)

### makeFC

    public FC_TTO makeFC()

### typeReconstruction

    public de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult> typeReconstruction()
                                                                   throws CTypeReconstructionException

  Tyrekonstruktionsalgorithmus: ruft f�r jede Klasse den Algorithmus TRProg auf. Dessen Ergebnismenge A, die Menge aller Typannahmen, f�r eine Klasse dient als Eingabe f�r TRProg der n�chsten Klasse. Am Ende enth�lt A alle m�glichen Typkombinationen f�r alle Klassen zusammen.
  Author: J�rg B�uerle

  Returns:
    Liste aller m�glichen Typkombinationen
  Throws:
    `CTypeReconstructionException` - Wenn was schief l�uft

### getClassIterator

    public java.util.Iterator<Class> getClassIterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD